## dune-functions 2.4~20160507g3dd041d

=== dune/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(functions)

=== doc/manual/CMakeLists.txt ===
set(SOURCES
  ../../examples/stokes-taylorhood.cc
)

set(IMAGES
  gfx/driven_cavity.pdf
  gfx/driven_cavity_result.png
  gfx/taylor_hood_tree.pdf
)

if(LATEX_USABLE)
    dune_add_latex_document(dune-functions-manual.tex
      DEFAULT_PDF
      INPUTS ${SOURCES}
      IMAGES ${IMAGES})
endif(LATEX_USABLE)

=== dune/common/CMakeLists.txt ===
install(FILES
  concept.hh
  typelist.hh
  typeutilities.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)

=== dune/functions/analyticfunctions/CMakeLists.txt ===
#add_subdirectory("test"  EXCLUDE_FROM_ALL)

install(FILES
        polynomial.hh
        trigonometricfunction.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/analyticfunctions)

=== dune/functions/common/CMakeLists.txt ===
add_subdirectory("test"  EXCLUDE_FROM_ALL)

install(FILES
        callable.hh
        defaultderivativetraits.hh
        differentiablefunction.hh
        differentiablefunction_imp.hh
        differentiablefunctionfromcallables.hh
        functionfromcallable.hh
        functionconcepts.hh
        indexaccess.hh
        interfaces.hh
        localfunction.hh
        localfunction_imp.hh
        optional.hh
        polymorphicsmallobject.hh
        reserveddeque.hh
        signature.hh
        staticforloop.hh
        treedata.hh
        tuplevector.hh
        type_traits.hh
        typeerasure.hh
        utility.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/common)

=== dune/functions/functionspacebases/CMakeLists.txt ===
add_subdirectory("test"  EXCLUDE_FROM_ALL)

install(FILES
        basistags.hh
        bsplinebasis.hh
        compositebasis.hh
        concepts.hh
        defaultglobalbasis.hh
        defaultglobalindexset.hh
        defaultlocalindexset.hh
        defaultlocalview.hh
        defaultnodetorangemap.hh
        flatmultiindex.hh
        flatvectorbackend.hh
        gridviewfunctionspacebasis.hh
        hierarchicvectorwrapper.hh
        interpolate.hh
        lagrangedgbasis.hh
        powerbasis.hh
        pq1nodalbasis.hh
        pqknodalbasis.hh
        nodes.hh
        sizeinfo.hh
        taylorhoodbasis.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases)

=== dune/functions/gridfunctions/CMakeLists.txt ===
add_subdirectory("test"  EXCLUDE_FROM_ALL)

install(FILES
        analyticgridviewfunction.hh
        discretescalarglobalbasisfunction.hh
        discreteglobalbasisfunction.hh
        gridfunction.hh
        gridfunction_imp.hh
        gridviewentityset.hh
        gridviewfunction.hh
        localderivativetraits.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/gridfunctions)

=== dune/functions/common/test/CMakeLists.txt ===
# tests that should build and run successfully
set(TESTS differentiablefunctiontest)

set(TESTPROGS ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTPROGS})

add_executable("differentiablefunctiontest"
               differentiablefunctiontest.cc)
target_link_libraries("differentiablefunctiontest" "dunecommon")

# Add the tests to be executed
foreach(_TEST ${TESTPROGS})
  add_test(${_TEST} ${_TEST})
endforeach(_TEST)

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
# Path to the example grid files in dune-grid
add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${DUNE_GRID_EXAMPLE_GRIDS_PATH}\")

# tests that should build and run successfully
set(TESTS compositebasistest gridviewfunctionspacebasistest taylorhoodbasistest hierarchicvectorwrappertest)

set(TESTPROGS ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTPROGS})

add_executable("compositebasistest"
               compositebasistest.cc)
add_executable("gridviewfunctionspacebasistest"
               gridviewfunctionspacebasistest.cc)
add_executable("taylorhoodbasistest"
               taylorhoodbasistest.cc)
add_executable("hierarchicvectorwrappertest"
               hierarchicvectorwrappertest.cc)
target_link_libraries("compositebasistest" "dunecommon" "dunegeometry")
target_link_libraries("gridviewfunctionspacebasistest" "dunecommon" "dunegeometry")
target_link_libraries("taylorhoodbasistest" "dunecommon" "dunegeometry")
target_link_libraries("hierarchicvectorwrappertest" "dunecommon" "dunegeometry")

add_dune_ug_flags("gridviewfunctionspacebasistest")

# Add the tests to be executed
foreach(_TEST ${TESTPROGS})
  add_test(${_TEST} ${_TEST})
endforeach(_TEST)

=== dune/functions/gridfunctions/test/CMakeLists.txt ===
# tests that should build and run successfully
set(TESTS analyticgridviewfunctiontest discreteglobalbasisfunctiontest gridfunctiontest)

set(TESTPROGS ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTPROGS})

add_executable("analyticgridviewfunctiontest"
               analyticgridviewfunctiontest.cc)
target_link_libraries("analyticgridviewfunctiontest" ${DUNE_LIBS})

add_executable("discreteglobalbasisfunctiontest"
               discreteglobalbasisfunctiontest.cc)
target_link_libraries("discreteglobalbasisfunctiontest" ${DUNE_LIBS})

add_executable("gridfunctiontest"
               gridfunctiontest.cc)
target_link_libraries("gridfunctiontest" ${DUNE_LIBS})

# Add the tests to be executed
foreach(_TEST ${TESTPROGS})
  add_test(${_TEST} ${_TEST})
endforeach(_TEST)

## dune-functions 2.4~20160406ge6b3b4c

=== debian/changelog ===
dune-functions (2.4~20160406ge6b3b4c-1) unstable; urgency=medium

  * Initial release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 08 Apr 2016 10:15:12 +0200

=== debian/control ===
Source: dune-functions
Section: libs
Priority: optional
Standards-Version: 3.9.7
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-functions.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-functions.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-localfunctions-dev (>= 2.4.1),
 libdune-grid-dev (>= 2.4.1),
 libdune-istl-dev (>= 2.4.1),
 libdune-typetree-dev (>= 2.4.1)
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf

Package: libdune-functions-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 libdune-localfunctions-dev (>= 2.4.1),
 libdune-grid-dev (>= 2.4.1),
 libdune-typetree-dev (>= 2.4.1)
Suggests: libdune-functions-doc (= ${source:Version})
Description: toolbox for solving PDEs -- interface for functions (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-functions provides an interface for global finite element functions.
 .
 This package contains the development files.

Package: libdune-functions-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- interface for functions (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-functions provides an interface for global finite element functions.
 .
 This package contains the documentation.

## dune-functions 2.4~20160507g3dd041d

=== debian/changelog ===
dune-functions (2.4~20160507g3dd041d-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add missing `#include <numeric>` for `std::accumulate`.
      (Closes: #823550, #828984)
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 01 Jul 2016 12:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-functions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-functions.git

## dune-functions 2.5.0

=== debian/changelog ===
dune-functions (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 18:09:28 +0100

dune-functions (2.5.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 00:02:26 +0100

dune-functions (2.4~20160825g0fd5975-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 14 Sep 2016 09:59:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-functions.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-localfunctions-dev (>= 2.4.1),
- libdune-grid-dev (>= 2.4.1),
- libdune-istl-dev (>= 2.4.1),
- libdune-typetree-dev (>= 2.4.1)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-localfunctions-dev (>= 2.5.0),
+ libdune-grid-dev (>= 2.5.0),
+ libdune-istl-dev (>= 2.5.0),
+ libdune-typetree-dev (>= 2.5.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-functions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.4.1),
- libdune-grid-dev (>= 2.4.1),
- libdune-typetree-dev (>= 2.4.1)
+ libdune-localfunctions-dev (>= 2.5.0),
+ libdune-grid-dev (>= 2.5.0),
+ libdune-typetree-dev (>= 2.5.0)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-functions 2.5.1

=== examples/CMakeLists.txt ===
add_executable("advection-reaction-dg" advection-reaction-dg.cc)
target_link_dune_default_libraries("advection-reaction-dg")

add_executable("poisson-pq2" poisson-pq2.cc)
target_link_dune_default_libraries("poisson-pq2")

add_executable("stokes-taylorhood" stokes-taylorhood.cc)
target_link_dune_default_libraries("stokes-taylorhood")

=== doc/manual/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 if(LATEX_USABLE)
     dune_add_latex_document(dune-functions-manual.tex
-      DEFAULT_PDF
       INPUTS ${SOURCES}
       IMAGES ${IMAGES})
 endif(LATEX_USABLE)

=== dune/functions/CMakeLists.txt ===
#install headers

add_subdirectory(analyticfunctions)
add_subdirectory(common)
add_subdirectory(functionspacebases)
add_subdirectory(gridfunctions)

=== dune/functions/analyticfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#add_subdirectory("test"  EXCLUDE_FROM_ALL)
+#add_subdirectory("test")
 
 install(FILES
         polynomial.hh

=== dune/functions/functionspacebases/CMakeLists.txt ===
add_subdirectory("test")

install(FILES
        basistags.hh
        bsplinebasis.hh
        compositebasis.hh
        concepts.hh
        defaultglobalbasis.hh
        defaultlocalindexset.hh
        defaultlocalview.hh
        defaultnodetorangemap.hh
        flatmultiindex.hh
        flatvectorbackend.hh
        hierarchicvectorwrapper.hh
        interpolate.hh
        lagrangebasis.hh
        lagrangedgbasis.hh
        powerbasis.hh
        pq1nodalbasis.hh
        pqknodalbasis.hh
        nodes.hh
        sizeinfo.hh
        subspacebasis.hh
        subspacelocalview.hh
        taylorhoodbasis.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases)

=== dune/functions/gridfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_subdirectory("test"  EXCLUDE_FROM_ALL)
+add_subdirectory("test")
 
 install(FILES
         analyticgridviewfunction.hh

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
# tests that should build and run successfully

# Path to the example grid files in dune-grid
add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${DUNE_GRID_EXAMPLE_GRIDS_PATH}\")

dune_add_test(SOURCES gridviewfunctionspacebasistest.cc)

dune_add_test(SOURCES taylorhoodbasistest.cc)

dune_add_test(SOURCES hierarchicvectorwrappertest.cc)

dune_add_test(SOURCES compositebasistest.cc)

=== dune/functions/gridfunctions/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES analyticgridviewfunctiontest.cc)

dune_add_test(SOURCES discreteglobalbasisfunctiontest.cc)

dune_add_test(SOURCES gridfunctiontest.cc)

=== debian/changelog ===
dune-functions (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867074)
  * debian/copyright: Upgrade copyright format URL to https://.
  * Bumped Standards-Version to 4.0.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:13:03 +0200

dune-functions (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 17:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-functions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-functions.git
@@ -9,19 +9,19 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.5.0),
- libdune-grid-dev (>= 2.5.0),
- libdune-istl-dev (>= 2.5.0),
+ libdune-localfunctions-dev (>= 2.5.1),
+ libdune-grid-dev (>= 2.5.1),
+ libdune-istl-dev (>= 2.5.1),
  libdune-typetree-dev (>= 2.5.0)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 
 Package: libdune-functions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.5.0),
- libdune-grid-dev (>= 2.5.0),
+ libdune-localfunctions-dev (>= 2.5.1),
+ libdune-grid-dev (>= 2.5.1),
  libdune-typetree-dev (>= 2.5.0)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)

## dune-functions 2.6~20180228

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(dune-functions CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
      "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules"
  ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("cmake/modules")
add_subdirectory("examples")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/CMakeLists.txt ===
add_subdirectory(functions)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 add_executable("stokes-taylorhood" stokes-taylorhood.cc)
 target_link_dune_default_libraries("stokes-taylorhood")
+
+add_executable("poisson-mfem" poisson-mfem.cc)
+target_link_dune_default_libraries("poisson-mfem")

=== cmake/modules/CMakeLists.txt ===
set(modules "DuneFunctionsMacros.cmake")

install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== doc/manual/CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,14 @@
   gfx/driven_cavity.pdf
   gfx/driven_cavity_result.png
   gfx/taylor_hood_tree.pdf
+  gfx/febasis_interface_schematic.pdf
+  gfx/taylor-hood-matrix-interleaved.pdf
+  gfx/taylor-hood-matrix-lexicographic.pdf
 )
 
 if(LATEX_USABLE)
     dune_add_latex_document(dune-functions-manual.tex
+      BIBFILES dune-functions-manual.bib
       INPUTS ${SOURCES}
       IMAGES ${IMAGES})
 endif(LATEX_USABLE)

=== dune/functions/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_subdirectory("test"  EXCLUDE_FROM_ALL)
+add_subdirectory("test")
 
 install(FILES
         callable.hh

=== dune/functions/functionspacebases/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
         powerbasis.hh
         pq1nodalbasis.hh
         pqknodalbasis.hh
+        rannacherturekbasis.hh
         nodes.hh
         sizeinfo.hh
         subspacebasis.hh

=== dune/functions/gridfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 install(FILES
         analyticgridviewfunction.hh
-        discretescalarglobalbasisfunction.hh
         discreteglobalbasisfunction.hh
         gridfunction.hh
         gridfunction_imp.hh

=== dune/functions/common/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES differentiablefunctiontest.cc)

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,13 @@
 
 dune_add_test(SOURCES taylorhoodbasistest.cc)
 
+dune_add_test(SOURCES rannacherturekbasistest.cc)
+
 dune_add_test(SOURCES hierarchicvectorwrappertest.cc)
 
 dune_add_test(SOURCES compositebasistest.cc)
+
+install(
+  FILES
+  basistest.hh
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases/test)

=== dune/functions/gridfunctions/test/CMakeLists.txt ===
--- 
+++ 
@@ -5,3 +5,5 @@
 dune_add_test(SOURCES discreteglobalbasisfunctiontest.cc)
 
 dune_add_test(SOURCES gridfunctiontest.cc)
+
+dune_add_test(SOURCES localfunctioncopytest.cc)

=== debian/changelog ===
dune-functions (2.6~20180228-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:30:29 +0000

dune-functions (2.6~20180228-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2018 21:42:07 +0200

dune-functions (2.6~20171031-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-functions-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 21 Nov 2017 11:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: dune-functions
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-functions.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-functions.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-functions
+Vcs-Git: https://salsa.debian.org/science-team/dune-functions.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.5.1),
- libdune-grid-dev (>= 2.5.1),
- libdune-istl-dev (>= 2.5.1),
- libdune-typetree-dev (>= 2.5.0)
+ libdune-localfunctions-dev (>= 2.6.0),
+ libdune-grid-dev (>= 2.6.0),
+ libdune-istl-dev (>= 2.6.0),
+ libdune-typetree-dev (>= 2.6~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-functions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.5.1),
- libdune-grid-dev (>= 2.5.1),
- libdune-typetree-dev (>= 2.5.0)
+ libdune-localfunctions-dev (>= 2.6.0),
+ libdune-grid-dev (>= 2.6.0),
+ libdune-typetree-dev (>= 2.6~)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -39,6 +40,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- interface for functions (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-functions 2.7.0

=== debian/changelog ===
dune-functions (2.7.0-2build1) groovy; urgency=medium

  * Rebuild against new dune 2.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:52:48 +0200

dune-functions (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:43:40 +0200

dune-functions (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed non-free parts of the documentation.
    + new patch: removed-non-free-doc.patch
  * d/control: Remove `Multi-Arch: foreign` from -dev package.
    (Closes: #939657)
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 30 May 2020 11:43:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: dune-functions
 Section: libs
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-functions
 Vcs-Git: https://salsa.debian.org/science-team/dune-functions.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.6.0),
- libdune-grid-dev (>= 2.6.0),
- libdune-istl-dev (>= 2.6.0),
- libdune-typetree-dev (>= 2.6~)
+ libdune-localfunctions-dev (>= 2.7.0),
+ libdune-grid-dev (>= 2.7.0),
+ libdune-istl-dev (>= 2.7.0),
+ libdune-typetree-dev (>= 2.7.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
 Package: libdune-functions-dev
 Section: libdevel
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.6.0),
- libdune-grid-dev (>= 2.6.0),
- libdune-typetree-dev (>= 2.6~)
+ libdune-localfunctions-dev (>= 2.7.0),
+ libdune-grid-dev (>= 2.7.0),
+ libdune-typetree-dev (>= 2.7.0)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-functions 2.7.1

=== CMakeLists.txt ===
# set up project
project(dune-functions CXX)

# general stuff
cmake_minimum_required(VERSION 3.1)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("examples")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== examples/CMakeLists.txt ===
add_executable("advection-reaction-dg" advection-reaction-dg.cc)
dune_target_enable_all_packages("advection-reaction-dg")

add_executable("interpolation" interpolation.cc)
dune_target_enable_all_packages("interpolation")

add_executable("poisson-pq2" poisson-pq2.cc)
dune_target_enable_all_packages(poisson-pq2)

add_executable("stokes-taylorhood" stokes-taylorhood.cc)
dune_target_enable_all_packages("stokes-taylorhood")

add_executable("poisson-mfem" poisson-mfem.cc)
dune_target_enable_all_packages("poisson-mfem")

=== dune/functions/CMakeLists.txt ===
#install headers

add_subdirectory(analyticfunctions)
add_subdirectory(backends)
add_subdirectory(common)
add_subdirectory(functionspacebases)
add_subdirectory(gridfunctions)

=== dune/functions/analyticfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-#add_subdirectory("test")
-
 install(FILES
         polynomial.hh
         trigonometricfunction.hh

=== dune/functions/functionspacebases/CMakeLists.txt ===
add_subdirectory("test")

install(FILES
        basistags.hh
        boundarydofs.hh
        brezzidouglasmarinibasis.hh
        bsplinebasis.hh
        compositebasis.hh
        concepts.hh
        defaultglobalbasis.hh
        defaultlocalview.hh
        defaultnodetorangemap.hh
        flatmultiindex.hh
        flatvectorview.hh
        hierarchicnodetorangemap.hh
        hierarchicvectorwrapper.hh
        interpolate.hh
        lagrangebasis.hh
        lagrangedgbasis.hh
        powerbasis.hh
        rannacherturekbasis.hh
        nodes.hh
        sizeinfo.hh
        subentitydofs.hh
        subspacebasis.hh
        subspacelocalview.hh
        taylorhoodbasis.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases)

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,27 @@
 # Path to the example grid files in dune-grid
 add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${DUNE_GRID_EXAMPLE_GRIDS_PATH}\")
 
+dune_add_test(SOURCES brezzidouglasmarinibasistest.cc)
+
+dune_add_test(SOURCES bsplinebasistest.cc)
+
 dune_add_test(SOURCES gridviewfunctionspacebasistest.cc)
+
+dune_add_test(SOURCES lagrangebasistest.cc)
+
+dune_add_test(SOURCES lagrangedgbasistest.cc)
 
 dune_add_test(SOURCES taylorhoodbasistest.cc)
 
 dune_add_test(SOURCES rannacherturekbasistest.cc)
 
+dune_add_test(SOURCES raviartthomasbasistest.cc)
+
 dune_add_test(SOURCES hierarchicvectorwrappertest.cc)
 
 dune_add_test(SOURCES compositebasistest.cc)
+
+dune_add_test(SOURCES makebasistest.cc)
 
 install(
   FILES

=== debian/changelog ===
dune-functions (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 13 Jan 2021 10:53:16 +0100

dune-functions (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Lisa Julia Nebel <lisa_julia.nebel@tu-dresden.de>  Thu, 07 Jan 2021 10:49:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.7.0),
- libdune-grid-dev (>= 2.7.0),
- libdune-istl-dev (>= 2.7.0),
- libdune-typetree-dev (>= 2.7.0)
+ libdune-localfunctions-dev (>= 2.7.1),
+ libdune-grid-dev (>= 2.7.1),
+ libdune-istl-dev (>= 2.7.1),
+ libdune-typetree-dev (>= 2.7.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -20,9 +20,9 @@
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.7.0),
- libdune-grid-dev (>= 2.7.0),
- libdune-typetree-dev (>= 2.7.0)
+ libdune-localfunctions-dev (>= 2.7.1),
+ libdune-grid-dev (>= 2.7.1),
+ libdune-typetree-dev (>= 2.7.1)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-functions 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(dune-functions CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.13)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -24,5 +24,11 @@
 add_subdirectory("doc")
 add_subdirectory("examples")
 
+if( DUNE_ENABLE_PYTHONBINDINGS )
+  add_subdirectory(python)
+  dune_python_install_package(PATH python)
+endif()
+
+
 # finalize the dune project, e.g. generating config.h etc.
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== examples/CMakeLists.txt ===
add_custom_target(build_examples)
add_dependencies(build_tests build_examples)

add_executable("advection-reaction-dg" advection-reaction-dg.cc)
dune_target_enable_all_packages("advection-reaction-dg")
set_property(TARGET advection-reaction-dg PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples advection-reaction-dg)

add_executable("interpolation" interpolation.cc)
dune_target_enable_all_packages("interpolation")
set_property(TARGET interpolation PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples interpolation)

add_executable("poisson-pq2" poisson-pq2.cc)
dune_target_enable_all_packages(poisson-pq2)
set_property(TARGET poisson-pq2 PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-pq2)

add_executable("stokes-taylorhood" stokes-taylorhood.cc)
dune_target_enable_all_packages("stokes-taylorhood")
set_property(TARGET stokes-taylorhood PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples stokes-taylorhood)

add_executable("poisson-mfem" poisson-mfem.cc)
dune_target_enable_all_packages("poisson-mfem")
set_property(TARGET poisson-mfem PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-mfem)

=== python/CMakeLists.txt ===
add_subdirectory(dune)

configure_file(setup.py.in setup.py)

=== dune/python/CMakeLists.txt ===
add_subdirectory(functions)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
add_subdirectory(functions)

add_python_targets(dune
  __init__
)

=== dune/functions/analyticfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_subdirectory("test")
+
 install(FILES
         polynomial.hh
         trigonometricfunction.hh

=== dune/functions/backends/CMakeLists.txt ===
add_subdirectory("test")

install(FILES
        concepts.hh
        istlvectorbackend.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/backends)

=== dune/functions/common/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
         signature.hh
         staticforloop.hh
         treedata.hh
-        tuplevector.hh
         type_traits.hh
         typeerasure.hh
         utility.hh

=== dune/functions/functionspacebases/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,14 @@
         defaultnodetorangemap.hh
         flatmultiindex.hh
         flatvectorview.hh
+        hierarchicallagrangebasis.hh
         hierarchicnodetorangemap.hh
         hierarchicvectorwrapper.hh
         interpolate.hh
         lagrangebasis.hh
         lagrangedgbasis.hh
+        nedelecbasis.hh
+        periodicbasis.hh
         powerbasis.hh
         rannacherturekbasis.hh
         nodes.hh
@@ -25,4 +28,5 @@
         subspacebasis.hh
         subspacelocalview.hh
         taylorhoodbasis.hh
+        transformedindexbasis.hh
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases)

=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pyglobalbasis2d
                     SCRIPT globalbasis2d.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pyglobalbasis3d
                     SCRIPT globalbasis3d.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pypoisson
                     SCRIPT poisson.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)

=== python/dune/functions/CMakeLists.txt ===
add_python_targets(functions
  __init__
  globalbasis
  tree
)

=== dune/functions/analyticfunctions/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES polynomialtest.cc)

=== debian/changelog ===
dune-functions (2.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:34:54 +0200

dune-functions (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Set Architecture to "any"
  * d/rules: Explicitly set buildsystem to CMake

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 13:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,20 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.7.1),
- libdune-grid-dev (>= 2.7.1),
- libdune-istl-dev (>= 2.7.1),
- libdune-typetree-dev (>= 2.7.1)
+ libdune-localfunctions-dev (>= 2.8.0),
+ libdune-grid-dev (>= 2.8.0),
+ libdune-istl-dev (>= 2.8.0),
+ libdune-typetree-dev (>= 2.8.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
 Package: libdune-functions-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.7.1),
- libdune-grid-dev (>= 2.7.1),
- libdune-typetree-dev (>= 2.7.1)
+ libdune-localfunctions-dev (>= 2.8.0),
+ libdune-grid-dev (>= 2.8.0),
+ libdune-typetree-dev (>= 2.8.0)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-functions 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 if( DUNE_ENABLE_PYTHONBINDINGS )
   add_subdirectory(python)
-  dune_python_install_package(PATH python)
 endif()

=== doc/CMakeLists.txt ===
add_subdirectory("doxygen")
add_subdirectory("manual")

=== dune/CMakeLists.txt ===
add_subdirectory(functions)

if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== python/CMakeLists.txt ===
add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE
)
if(POLICY CMP0087)
  cmake_policy(SET CMP0087 NEW)
endif()

=== dune/functions/common/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,10 @@
         interfaces.hh
         localfunction.hh
         localfunction_imp.hh
-        optional.hh
+        multiindex.hh
+        overflowarray.hh
         polymorphicsmallobject.hh
+        referencehelper.hh
         reserveddeque.hh
         signature.hh
         staticforloop.hh

=== dune/functions/gridfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 install(FILES
         analyticgridviewfunction.hh
+        composedgridfunction.hh
         discreteglobalbasisfunction.hh
         gridfunction.hh
         gridfunction_imp.hh

=== dune/python/functions/CMakeLists.txt ===
set(HEADERS
  discretefunction.hh
  globalbasis.hh
  hierarchicvectorwrapper.hh
  interpolate.hh
  tree.hh
)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/python/functions)

=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pyglobalbasis2d
                     SCRIPT globalbasis2d.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS python)
dune_python_add_test(NAME pyglobalbasis3d
                     SCRIPT globalbasis3d.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS python)
dune_python_add_test(NAME pypoisson
                     SCRIPT poisson.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS python)
dune_python_add_test(NAME pyfunction
                     SCRIPT function.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS python)
dune_python_add_test(NAME pydiscretefunction
                     SCRIPT discretefunction.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS python)

=== dune/functions/analyticfunctions/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES polynomialtest.cc LABELS quick)

=== dune/functions/backends/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES istlvectorbackendtest.cc LABELS quick)

=== dune/functions/common/test/CMakeLists.txt ===
# tests that should build and run successfully

dune_add_test(SOURCES differentiablefunctiontest.cc LABELS quick)
dune_add_test(SOURCES polymorphicsmallobjecttest.cc LABELS quick)

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
# tests that should build and run successfully

# Path to the example grid files in dune-grid
add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${DUNE_GRID_EXAMPLE_GRIDS_PATH}\")

dune_add_test(SOURCES brezzidouglasmarinibasistest.cc LABELS quick)

dune_add_test(SOURCES bsplinebasistest.cc LABELS quick)

dune_add_test(SOURCES globalvaluedlfetest.cc LABELS quick)
target_compile_definitions(globalvaluedlfetest PRIVATE -DDUNE_DEPRECATED_INTERPOLATE_CHECK=1)

dune_add_test(SOURCES gridviewfunctionspacebasistest.cc LABELS quick)

dune_add_test(SOURCES lagrangebasistest.cc LABELS quick)

dune_add_test(SOURCES lagrangedgbasistest.cc LABELS quick)

dune_add_test(SOURCES nedelecbasistest.cc LABELS quick)

dune_add_test(SOURCES periodicbasistest.cc LABELS quick)

dune_add_test(SOURCES taylorhoodbasistest.cc LABELS quick)

dune_add_test(SOURCES rannacherturekbasistest.cc LABELS quick)

dune_add_test(SOURCES raviartthomasbasistest.cc LABELS quick)

dune_add_test(SOURCES hierarchicvectorwrappertest.cc LABELS quick)

dune_add_test(SOURCES subspacebasistest.cc LABELS quick)

dune_add_test(SOURCES compositebasistest.cc LABELS quick)

dune_add_test(SOURCES makebasistest.cc LABELS quick)

dune_add_test(SOURCES hierarchicallagrangebasistest.cc LABELS quick)

install(
  FILES
  basistest.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases/test)

=== debian/changelog ===
dune-functions (2.9.0-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:20 +0200

dune-functions (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * d: Install moved architecture independent pkgconfig file correctly.
  * Upload to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:26:33 +0100

dune-functions (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/patches: Install missing headers
  * d/control: Depend on DUNE 2.9.
  * d/upstream: Added metadata file.
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sun, 08 Jan 2023 12:38:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: dune-functions
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-functions
 Vcs-Git: https://salsa.debian.org/science-team/dune-functions.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-localfunctions-dev (>= 2.8.0),
- libdune-grid-dev (>= 2.8.0),
- libdune-istl-dev (>= 2.8.0),
- libdune-typetree-dev (>= 2.8.0)
+ libdune-localfunctions-dev (>= 2.9.0),
+ libdune-grid-dev (>= 2.9.0),
+ libdune-istl-dev (>= 2.9.0),
+ libdune-typetree-dev (>= 2.9.0)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -20,9 +21,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.8.0),
- libdune-grid-dev (>= 2.8.0),
- libdune-typetree-dev (>= 2.8.0)
+ libdune-localfunctions-dev (>= 2.9.0),
+ libdune-grid-dev (>= 2.9.0),
+ libdune-typetree-dev (>= 2.9.0)
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
